Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 740988 - dev-dotnet/ikvm-bin: stuck on EAPI 4
Summary: dev-dotnet/ikvm-bin: stuck on EAPI 4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: dotnet
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: EAPI4Removal
  Show dependency tree
 
Reported: 2020-09-08 04:10 UTC by Sam James
Modified: 2021-09-19 17:40 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-09-08 04:10:53 UTC
Please bump to a newer EAPI (ideally 7).
Comment 1 Larry the Git Cow gentoo-dev 2020-10-24 13:57:10 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a866101af85e162d2f4ad6345a995e2dd8306b1

commit 6a866101af85e162d2f4ad6345a995e2dd8306b1
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-10-24 13:56:53 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-10-24 13:56:53 +0000

    package.mask: Last rite dev-dotnet/* EAPI 4 ebuilds
    
    Bug: https://bugs.gentoo.org/681194
    Bug: https://bugs.gentoo.org/722256
    Bug: https://bugs.gentoo.org/740986
    Bug: https://bugs.gentoo.org/740988
    Bug: https://bugs.gentoo.org/740990
    Signed-off-by: David Seifert <soap@gentoo.org>

 profiles/package.mask | 8 ++++++++
 1 file changed, 8 insertions(+)
Comment 2 Larry the Git Cow gentoo-dev 2020-11-22 14:54:57 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c221446a32b401d3cd234572899302e9f6231527

commit c221446a32b401d3cd234572899302e9f6231527
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-11-22 14:54:18 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-11-22 14:54:18 +0000

    dev-dotnet/ikvm-bin: Remove last-rited package
    
    Closes: https://bugs.gentoo.org/740988
    Signed-off-by: David Seifert <soap@gentoo.org>

 dev-dotnet/ikvm-bin/Manifest                   |  1 -
 dev-dotnet/ikvm-bin/files/ikvm-0.36.0.5.pc.in  |  9 -----
 dev-dotnet/ikvm-bin/ikvm-bin-7.1.4532.2.ebuild | 50 --------------------------
 dev-dotnet/ikvm-bin/metadata.xml               |  8 -----
 profiles/package.mask                          |  1 -
 5 files changed, 69 deletions(-)
Comment 3 Jack 2021-09-19 17:22:21 UTC
dev-dotnet/ikvm-bin-7.2.4630.5::dotnet still has EAPI="4" as does dev-dotnet/ikvm-7.2.4630.5::dotnet.  They both seem to have last been edited in 2019, so I'm not sure how they escaped notice here.
Comment 4 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-09-19 17:40:20 UTC
(In reply to Jack from comment #3)
> dev-dotnet/ikvm-bin-7.2.4630.5::dotnet still has EAPI="4" as does
> dev-dotnet/ikvm-7.2.4630.5::dotnet.  They both seem to have last been edited
> in 2019, so I'm not sure how they escaped notice here.

That's an overlay, so you'll need to file for bug for that separately.